textures/ut43_elfix/exosystem

{
	
    qer_editorimage textures/ut43_elfix/exosystem_ft.jpg	
	
                surfaceparm noimpact
	
                surfaceparm nolightmap
	
                surfaceparm nomarks
	
                surfaceparm sky
	
	
//q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
	
                q3map_sun 1 1 1 350 60 41.743
	
                q3map_skylight 400 4
	
                skyparms textures/ut43_elfix/exosystem - -

}

textures/ut43_elfix/blue_light
{
    qer_editorimage textures/ut43_elfix/blue_light.jpg
    polygonOffset
    surfaceparm nodlight
    surfaceparm nodamage
    q3map_lightsubdivide 128
    q3map_surfaceLight 2000
    {
        map textures/ut43_elfix/blue_light.jpg
    }
    {
        map $lightmap
        blendfunc GL_ONE GL_ONE
        rgbgen identity
    }
}
textures/ut43_elfix/blueglass
{
	qer_editorimage textures/ut43_elfix/blueglass_surface.jpg
        surfaceparm trans	
        surfaceparm nolightmap
	cull none
	qer_trans 	0.5
     
        {
		map textures/ut43_elfix/blueglass_env.jpg
                tcgen environment
		blendFunc GL_ONE GL_ONE
	}
          
}
textures/ut43_elfix/coslglassb
{
	qer_editorimage textures/ut43_elfix/coslglassb.tga
        surfaceparm trans	
        surfaceparm nolightmap
	cull none
	qer_trans 	0.5
     
        {
		map textures/ut43_elfix/coslglassb.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
	}
          
}
textures/ut43_elfix/water02
{
        qer_editorimage textures/ut43_elfix/hq_water_w1.tga
        qer_trans .5
//      q3map_surfacelight 0
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        tessSize 64
        cull disable
        deformVertexes wave 256 sin 0.5 1.75 .5 .5
        {
            map textures/ut43_elfix/hq_water_b1.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.010 .05
        }
        {
            map textures/ut43_elfix/hq_water_b1.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll .05 -.010
        }
        {
            map textures/ut43_elfix/hq_water_c1.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.05 .010
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbgen identity
        }
}
textures/ut43_elfix/light02
{
	qer_editorimage textures/ut43_elfix/light02.jpg
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 1500
	{
		rgbGen identity
		map $lightmap
                tcGen lightmap
	}
	{
		map textures/ut43_elfix/light02.jpg
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut43_elfix/light02.blend.jpg
		blendfunc add
	}
}
textures/ut43_elfix/u_trlightline_blue
{
	qer_editorimage textures/ut43_elfix/u_trlightline_blue.jpg
	q3map_lightimage textures/ut43_elfix/u_trlightline_blue_blend.jpg
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 1500
	{
		map textures/ut43_elfix/u_trlightline_blue.jpg
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut43_elfix/u_trlightline_blue_blend.jpg
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}
textures/ut43_elfix/u_trlightline_blue2
{
	qer_editorimage textures/ut43_elfix/u_trlightline_blue2.jpg
	q3map_lightimage textures/ut43_elfix/u_trlightline_blue_blend2.jpg
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 1500
	{
		map textures/ut43_elfix/u_trlightline_blue2.jpg
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut43_elfix/u_trlightline_blue_blend2.jpg
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}
textures/ut43_elfix/u_trlightline_blue3
{
	qer_editorimage textures/ut43_elfix/u_trlightline_blue3.jpg
	q3map_lightimage textures/ut43_elfix/u_trlightline_blue_blend3.jpg
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 1500
	{
		map textures/ut43_elfix/u_trlightline_blue3.jpg
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut43_elfix/u_trlightline_blue_blend3.jpg
		blendfunc add
		rgbGen wave sawtooth 0.6 0.1 0 7 
	}
}
textures/ut43_elfix/areaportal
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}
textures/ut43_elfix/caulk
{	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}
textures/ut43_elfix/clip
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}
textures/ut43_elfix/clusterportal
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}
textures/ut43_elfix/cushion
{	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}
textures/ut43_elfix/full_clip // silly shader, use weapclip instead
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}
textures/ut43_elfix/hint // should NOT use surfaceparm hint.. strange but true
{	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	// ydnar: yes it should.
}
textures/ut43_elfix/missileclip
{	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nodraw
	//surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
}
textures/ut43_elfix/nodraw
{	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}
textures/ut43_elfix/nodrawnonsolid
{	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}
textures/ut43_elfix/nodrop
{	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}
textures/ut43_elfix/noimpact
{	qer_editorimage textures/ut43_elfix/nolightmap.tga
	surfaceparm noimpact
}
textures/ut43_elfix/nolightmap
{	surfaceparm nolightmap
}
textures/ut43_elfix/origin
{	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}
textures/ut43_elfix/portal
{	qer_editorimage textures/ut43_elfix/qer_portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/ut43_elfix/mirror1.tga
		tcMod turb 0 0.25 0 0.05
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite

	}
}
textures/ut43_elfix/slick
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}
textures/ut43_elfix/terrain
{	q3map_terrain
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}
textures/ut43_elfix/terrain2
{	q3map_terrain
	qer_editorimage textures/ut43_elfix/terrain.tga
	surfaceparm dust
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}
textures/ut43_elfix/timportal
{	qer_editorimage textures/ut43_elfix/qer_portal.tga
	portal
	surfaceparm nolightmap
	{
		map textures/ut43_elfix/portal.tga
		tcMod turb 0 0.25 0 0.05
		blendFunc GL_ONE GL_SRC_ALPHA
		depthWrite
	}
}
textures/ut43_elfix/trigger
{	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}
textures/ut43_elfix/weapclip
{	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}
textures/ut43_elfix/metalclip
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}
textures/ut43_elfix/botclip
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}
//
// ydnar q3map lightgrid bounds
//
// the min/max bounds of brushes with this shader in a map
// will define the bounds of the map's lightgrid (model lighting)
// note: make it as small as possible around player space
// to minimize bsp size and compile time
//
textures/ut43_elfix/lightgrid
{	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightgrid
}
textures/ut43_elfix/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/ut43_elfix/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}
textures/ut43_elfix/SAO_Congratulations
{
    qer_editorimage textures/ut43_elfix/SAO_Congratulations.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    cull none  
    
    {
 		map textures/ut43_elfix/SAO_Congratulations.tga             
 		blendfunc add
   }  
}
textures/ut43_elfix/SAO_lvl_1
{
    qer_editorimage textures/ut43_elfix/SAO_lvl_1.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    cull none  
    
    {
 		map textures/ut43_elfix/SAO_lvl_1.tga             
 		blendfunc add
   }  
}
textures/ut43_elfix/SAO_lvl_2
{
    qer_editorimage textures/ut43_elfix/SAO_lvl_2.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    cull none  
    
    {
 		map textures/ut43_elfix/SAO_lvl_2.tga             
 		blendfunc add
   }  
}
textures/ut43_elfix/SAO_lvl_3
{
    qer_editorimage textures/ut43_elfix/SAO_lvl_3.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    cull none  
    
    {
 		map textures/ut43_elfix/SAO_lvl_3.tga             
 		blendfunc add
   }  
}
textures/ut43_elfix/SAO_lvl_4
{
    qer_editorimage textures/ut43_elfix/SAO_lvl_4.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    cull none  
    
    {
 		map textures/ut43_elfix/SAO_lvl_4.tga             
 		blendfunc add
   }  
}
textures/ut43_elfix/SAO_lvl_5
{
    qer_editorimage textures/ut43_elfix/SAO_lvl_5.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    cull none  
    
    {
 		map textures/ut43_elfix/SAO_lvl_5.tga             
 		blendfunc add
   }  
}
textures/ut43_elfix/SAO_lvl_6
{
    qer_editorimage textures/ut43_elfix/SAO_lvl_6.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    cull none  
    
    {
 		map textures/ut43_elfix/SAO_lvl_6.tga             
 		blendfunc add
   }  
}
textures/ut43_elfix/SAO_lvl_S
{
    qer_editorimage textures/ut43_elfix/SAO_lvl_S.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    cull none  
    
    {
 		map textures/ut43_elfix/SAO_lvl_S.tga             
 		blendfunc add
   }  
}
textures/ut43_elfix/SAO_next
{
    qer_editorimage textures/ut43_elfix/SAO_next.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    cull none  
    
    {
 		map textures/ut43_elfix/SAO_next.tga             
 		blendfunc add
   }  
}
textures/ut43_elfix/SAO_previous
{
    qer_editorimage textures/ut43_elfix/SAO_previous.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    cull none  
    
    {
 		map textures/ut43_elfix/SAO_previous.tga             
 		blendfunc add
   }  
}
textures/ut43_elfix/SAO_welcome
{
    qer_editorimage textures/ut43_elfix/SAO_welcome.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    cull none  
    
    {
 		map textures/ut43_elfix/SAO_welcome.tga             
 		blendfunc add
   }  
}
textures/ut43_elfix/jesus1
{
    qer_editorimage textures/ut43_elfix/jesus1.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    cull none  
    
    {
 		map textures/ut43_elfix/jesus1.tga             
 		blendfunc add
   }  
}
textures/ut43_elfix/risi1
{
    qer_editorimage textures/ut43_elfix/risi1.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    cull none  
    
    {
 		map textures/ut43_elfix/risi1.tga             
 		blendfunc add
   }  
}
textures/ut43_elfix/risi2
{
    qer_editorimage textures/ut43_elfix/risi2.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    cull none  
    
    {
 		map textures/ut43_elfix/risi2.tga             
 		blendfunc add
   }  
}
textures/ut43_elfix/risi3
{
    qer_editorimage textures/ut43_elfix/risi3.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
    cull none  
    
    {
 		map textures/ut43_elfix/risi3.tga             
 		blendfunc add
   }  
}















